Bug 1395591 (CVE-2016-1249) - CVE-2016-1249 perl-DBD-MySQL: Out-of-bounds read when using server-side prepared statement support
Summary: CVE-2016-1249 perl-DBD-MySQL: Out-of-bounds read when using server-side prepa...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-1249
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161115,repor...
Depends On: 1395592
Blocks: 1395597
TreeView+ depends on / blocked
 
Reported: 2016-11-16 09:38 UTC by Andrej Nemec
Modified: 2019-06-08 21:35 UTC (History)
12 users (show)

Fixed In Version: perl-DBD-MySQL 4.039
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 04:41:48 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-16 09:38:06 UTC
A vulnerability was discovered in perl-DBD-MySQL that can lead to an out-of-bounds read when using server side prepared statements with an unaligned number of placeholders in WHERE condition and output fields in SELECT expression.

This problem is only exposed when the user uses server-side prepared statement support, which is NOT default behavior and was turned off back for all drivers per MySQL AB decision in 2006 due to issues with server-side prepared statements in the server. The behavior of the driver is normally emulated.

References:

http://seclists.org/oss-sec/2016/q4/433

Upstream patch:

https://github.com/perl5-dbi/DBD-mysql/commit/793b72b1a0baa5070adacaac0e12fd995a6fbabe

Comment 1 Andrej Nemec 2016-11-16 09:38:57 UTC
Created perl-DBD-MySQL tracking bugs for this issue:

Affects: fedora-all [bug 1395592]


Note You need to log in before you can comment on or make changes to this bug.